Skip to main content
`Ctrl`+`K`

# DMPlexSetRefinementUniform

Set the flag for uniform refinement

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexSetRefinementUniform(DM dm, PetscBool refinementUniform)

## Input Parameters

- dm - The `DM`

- refinementUniform - The flag for uniform refinement

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMRefine()`, `DMPlexGetRefinementUniform()`, `DMPlexGetRefinementLimit()`, `DMPlexSetRefinementLimit()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages